cURL
curl --request DELETE \
--url https://api.frigade.com/v1/flows/{numericFlowId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.frigade.com/v1/flows/{numericFlowId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.frigade.com/v1/flows/{numericFlowId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Flows
Delete Flow
Delete a Flow
DELETE
/
v1
/
flows
/
{numericFlowId}
cURL
Deleting a Flow will remove all the data associated with it, including the Flow itself, its responses, and any other related data. This operation is irreversible.
Only call this endpoint from your backend code.
Obtaining the numeric ID of a Flow
To obtain the numeric ID of a Flow, you should make a GET request to get the Flow you are looking to change. The numeric ID is a number and is different from the slug (e.g.flow_GzXC2fHz). The reason for this is that different versions of the Flow share the same slug but have different numeric IDs to differentiate them.Authorizations
Authentication header of the form Bearer: <token>, where <token> is either your public or private API key. See when to use which
Response
204
The Flow has been successfully deleted.